unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ShellAPI, siComp, siLangRT;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label3: TLabel;
    siLang1: TsiLangRT;
    Button4: TButton;
    procedure ComboBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  siLang1.Language := siLang1.LangNames[ComboBox1.ItemIndex];
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  siLang1.LoadAllFromFile(ExtractFilePath(ParamStr(0)) + 'eng_ger_rus.sil', True);
  ComboBox1.ItemIndex := 0;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ShowMessage(siLang1.GetText('IDS_1') + #13#10 + Edit1.Text);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if siLang1.MessageDlg(Form1.siLang1.GetText('IDS_2'), mtConfirmation, [mbYes, mbNo], 0) <> mrYes then Exit;
  ShellExecute(Handle, 'open', 'http://www.votum.md/sicmps/ordering.htm', '', '', SW_SHOWNORMAL);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  siLang1.EditProperty(stCaptions);
end;

end.
